PK_FixedLengthCryptoSystemImpl< BASE > Class Template Referenceabstract

Public key trapdoor function default implementation. More...

Inheritance diagram for PK_FixedLengthCryptoSystemImpl< BASE >:

## Public Member Functions

size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
virtual size_t | FixedMaxPlaintextLength () const =0
virtual size_t | FixedCiphertextLength () const =0

## Detailed Description

### template<class BASE>
class PK_FixedLengthCryptoSystemImpl< BASE >

Public key trapdoor function default implementation.

Template Parameters

  BASE | public key cryptosystem with a fixed length

Definition at line 249 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h